/**
 **	File ......... MyParser.h
 **	Published ....  2004-05-17
 **	Author ....... grymse@alhem.net
**/
/*
Copyright (C) 2004  Anders Hedstrom

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/
#ifndef _MYPARSER_H
#define _MYPARSER_H

#include "BaseParser.h"


class Scope;
class Token;

class MyParser : public BaseParser
{
public:
	MyParser(const std::string &path);
	~MyParser();

	Scope *Parser(FILE *fil,const std::string &name);

private:
	Token *AddToken(int,const std::string &);
	//
	std::string m_path;
	token_v m_tokens;
	std::string m_stfilename;
	int m_stline;
	int m_stpos;
	int m_plevelm;
	bool m_extern;
};


#endif // _MYPARSER_H
