/**
 **	File ......... Statement.cpp
 **	Published ....  2004-05-17
 **	Author ....... grymse@alhem.net
**/
/*
Copyright (C) 2004  Anders Hedstrom

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/
//#include <stdio.h>
#include <string>
#include <vector>
#include <map>

#include "Token.h"
#include "Statement.h"
#include "dp.h"


Statement::Statement(token_v &tok)
:Sequence(tok)
{
}


Statement::~Statement()
{
}


void Statement::Display()
{
	if (IsExtern())
		return;
	if (config["-xml"] == "true")
	{
		printf("<statement file=\"%s\" line=\"%d\" value=\"%s\" />\n",
			GetFile().c_str(),
			GetLine(),
			GetExpr().c_str());
		return;
	}
	if (config["-dot"] == "true")
		return;
	Tab();
	printf("%s",GetExpr().c_str());
	printf("\n");
}


